Bug 1425110 - [Ganesha] : Unable to bring up a Ganesha HA cluster on RHEL 6.9.
Summary: [Ganesha] : Unable to bring up a Ganesha HA cluster on RHEL 6.9.
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: common-ha
Version: 3.9
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On: 1424944
Blocks: 1425112
TreeView+ depends on / blocked
 
Reported: 2017-02-20 15:09 UTC by Kaleb KEITHLEY
Modified: 2017-03-08 12:33 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1424944
: 1425112 (view as bug list)
Environment:
Last Closed: 2017-03-08 12:33:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Kaleb KEITHLEY 2017-02-20 15:12:13 UTC
**********
CLI Output
***********

+ pcs property set stonith-enabled=false
Error: unable to get cib
Error: unable to get cib
+ sleep 4
+ pcs cluster start --all
gqas014: Unable to connect to gqas014.sbu.lab.eng.bos.redhat.com (Connection error)
gqas015: Unable to connect to gqas015.sbu.lab.eng.bos.redhat.com (Connection error)
gqas009: Unable to connect to gqas009.sbu.lab.eng.bos.redhat.com (Connection error)
gqas010: Unable to connect to gqas010.sbu.lab.eng.bos.redhat.com (Connection error)
Error: unable to start all nodes


cluster devels say this is the result of new async behavior of the `pcs cluster setup ...` command.

SSL auth certs have to be deployed before the cluster will accept connections.

They suggest a delay of approx 12 seconds between the `pcs cluster setup ...` and `pcs cluster start --all`

Comment 2 Worker Ant 2017-02-20 16:09:15 UTC
REVIEW: https://review.gluster.org/16690 (common-ha: unable to start HA, Connection Error) posted (#1) for review on release-3.9 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 3 Worker Ant 2017-02-26 19:14:47 UTC
COMMIT: https://review.gluster.org/16690 committed in release-3.9 by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 333dd916ebe645230c302fd9a1c2645c519b1d6d
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Feb 20 10:41:51 2017 -0500

    common-ha: unable to start HA, Connection Error
    
    See BZ 1284404. pcsd behavior has changed and pcsd will not accept
    connections until SSL certificates have fully propagated throughout
    all the nodes
    
    HA devels suggest a 12 second delay between the `pcs cluster setup ...`
    and the `pcs cluster start --all`
    
    Change-Id: If94b6991a62f346dbead023c7e7f8282a995728c
    BUG: 1425110
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: https://review.gluster.org/16690
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: soumya k <skoduri@redhat.com>

Comment 4 Kaushal 2017-03-08 12:33:11 UTC
This bug is getting closed because GlusterFS-3.9 has reached its end-of-life [1].

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please open a new bug against the newer release.

[1]: https://www.gluster.org/community/release-schedule/


Note You need to log in before you can comment on or make changes to this bug.